$Revision: 1.2 $
$Date: 2005/08/24 13:24:30 $

# Functions

## `ds_select_dst(set, alg)`

The method selects a destination from addresses set.

Meaning of the parameters is as follows:

- set - the id of the set from where to pick up destination address. It is the first column in destination list file.

- alg - the algorithm used to select the destination address.

  - "0" - hash over callid

  - "1" - hash over from URI.

  - "2" - hash over to URI.

  - "3" - hash over the Request-URI.

  - "X" - if the algorithm is not implemented, the first entry in set is chosen.

### `ds_select_dst` usage

    ...
    ds_select_dst("1", "0");
    ...